## com.rbnb.api
Interface Controller

All Superinterfaces:
  Client, ClientInterface, Cloneable, RegisteredInterface, RmapInterface, Serializable, UsernameInterface

All Known Implementing Classes:
  ControllerHandle

    public interface Controller

extends Client

Client-side representation of an application control connection to an <bold>RBNB</bold> server.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/29/2004

Field Summary

Fields inherited from interface com.rbnb.api.ClientInterface
`CLIENT, FOREVER, MIRROR, PLUGIN`

Method Summary
`Object` `clone()` Clones this object.
`void` `mirror(Mirror mirrorI)` Mirrors data from or to a remote RBNB server.

Methods inherited from interface com.rbnb.api.Client
`isSynchronized, start, start, start, stop, stop, stop, stop, synchronizeWserver`

Methods inherited from interface com.rbnb.api.ClientInterface
`getRemoteID, getType, isRunning, setRemoteID, setType, tryReconnect`

Methods inherited from interface com.rbnb.api.RegisteredInterface
`getRegistered`

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Methods inherited from interface com.rbnb.api.UsernameInterface
`getUsername, setUsername`

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Specified by:
    `clone` in interface `Client`
  Specified by:
    `clone` in interface `ClientInterface`
  Specified by:
    `clone` in interface `RmapInterface`
  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### mirror

    void mirror(Mirror mirrorI)
                throws AddressException,
                       SerializeException,
                       EOFException,
                       IOException,
                       InterruptedException

  Mirrors data from or to a remote RBNB server.

  Parameters:
    `mirrorI` - the `Mirror` command.
  Throws:
    `AddressException` - thrown if there is a problem with an address.
    `SerializeException` - thrown if there is a problem with the serialization.
    `EOFException` - thrown if the end of the input stream is reached.
    `IOException` - thrown if there is an error during I/O.
    `InterruptedException` - thrown if the check is interrupted.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    05/15/2001